/**
 * XActMoodIntentEvent2.java
 *
 * File generated from the medication2::XActMoodIntentEvent2 uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication2;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration XActMoodIntentEvent2.
 *
 * 
 */

@XmlType(name = "XActMoodIntentEvent")
@XmlEnum
@XmlRootElement(name = "XActMoodIntentEvent2")
public enum XActMoodIntentEvent2 {
	@XmlEnumValue("EVN")
	EVN("EVN"),
	@XmlEnumValue("INT")
	INT("INT"),
	@XmlEnumValue("APT")
	APT("APT"),
	@XmlEnumValue("ARQ")
	ARQ("ARQ"),
	@XmlEnumValue("PRMS")
	PRMS("PRMS"),
	@XmlEnumValue("PRP")
	PRP("PRP"),
	@XmlEnumValue("RQO")
	RQO("RQO"),
	@XmlEnumValue("SLOT")
	SLOT("SLOT");
	
	private final String value;

    XActMoodIntentEvent2(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }
    
    public String getValue() {
        return value;
    }
    
    public static XActMoodIntentEvent2 fromValue(String v) {
        for (XActMoodIntentEvent2 c: XActMoodIntentEvent2.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}
